<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.9.6.1 $
 * $Author: tora60 $
 * $Date: 2009/03/06 03:32:49 $
 */

$scrolling = 0;
$numartikel = 15; # Anzahl der Artikelueberschriften im Block
$module_name = "Schedule";
global $prefix,$bgcolor1,$bgcolor2,$bgcolor3;

defined('mxMainFileLoaded') or die('access denied');

include_once("modules".DS.$module_name.DS."config.php");
include_once("modules".DS.$module_name.DS."core".DS."tabledef.php");
// include_once("modules".DS.$module_name.DS."inc".DS."functions.php");
include_once("modules".DS.$module_name.DS."inc".DS."functions_ws.php");

mxGetLangfile($module_name);

$city=0;   // Anzeige Stadt : 1=ein 0=aus
$showpics=0;  // Anzeige Icons  1=ein 0=aus
$show = "";
$tDays=86400;
$btoday=mktime(0,0,0);
$rettime= 0;
$nosections=""; // Kommagetrennt die SectionID's angeben, aus dennen KEINE Termine angezeigt werden z.Bsp "2,13"

$isuser=(!MX_IS_USER)?" and event.privat=0 ":"";
$nosec=(trim($nosections)=="")?"":"and  NOT(section.secid IN(".$nosections."))";

$result = sql_query("select event.* from " . TABLE_EVENTS . " as event, ".TABLE_SECTIONS." as section where event.enddate >'".(time()-86400)."' " .$isuser." 
					   and section.published=1 and section.secid=event.secid ".$nosec." 
					   and event.publish=1 order by event.startdate asc limit ".$numartikel);
	
$count=sql_num_rows($result);
$show="";
  if ($count>0) {
	 // Tabellenkopf
	$show .= "<table width=\"100%\" class='list' >";
	$show .= "<thead>";
	$show .= "<tr style='background-color:$bgcolor2' >";
	$show .= "<th align=\"left\" width=\"2\" ></th>";  //Farbspalte
	if ($showpics==1) $show .= "<th align='center' width='48'>#</th>";
	$show .= "<th align=\"left\" width=\"10%\">"._WEEK."</th>";
	$show .= "<th align=\"center\" width=\"25%\">"._DATE."</th>";
	
	$show .= "<th align=\"left\" >"._TITLE."</th>";
	if ($city==1) $show .= "<th>"._CITY."</th>";
	$show .= "</tr>";
	$show .= "</thead>";
    


    $i=0;
	while ($myevt=sql_fetch_assoc($result)) {
	    $ipic=array();
		
	    $bgc=(intval($i/2)===($i/2))?"class=\"alternate-a\"":"";//$bgcolor1:$bgcolor3;
		$mysec=ws_getSection($myevt['secid']);
		
		$bgc2=(trim($mysec['color']) !="")?trim($mysec['color']):$bgc;

        $show .= "<tr $bgc >";
		$show .= "<td align=\"left\" width=\"2\" style='background-color:$bgc2'></td>";  //Farbleiste
		// thumb spalte 	
		if ($showpics==1) {
		   $ipic=unserialize($myevt['pictures']);
		   $i2pic= (count($ipic) > 0) ?$ipic[0]:"modules/" . $module_name . "/style/images/header/photo.png";
		   $show .= "<td><a href=\"modules.php?name=$module_name&amp;act=show&amp;eid=".$myevt['eid']."\" ><img src='".$i2pic."' height='48' width='48' /></a></td>";
		}
		
		$show .= "<td>".ws_getWeekYear($myevt['startdate'])."</td>";
		$eEnddate=(ws_getDate($myevt['enddate'])==ws_getDate($myevt['startdate']))?"</td>":"&nbsp;"._TO." ".ws_getDate($myevt['enddate'])."</td>";
		$show .= "<td align=\"center \" >".ws_getDate($myevt['startdate']).$eEnddate.""; 
		    $callid=($myevt['parentid']==0)?$myevt['eid']:$myevt['parentid'];
		    $secicon=(ws_getSectionIconName($myevt['secid']) !="")?ws_getSectionIconName($myevt['secid']):"modules/" . $module_name . "/style/images/calendar.png";
		$show .= "<td align=\"left\" ><a href=\"modules.php?name=$module_name&amp;act=show&amp;eid=".$myevt['eid']."\"  >".mxPrepareToDisplay($myevt['title'])." </a></td>";
 		// ort
		if ($city==1) $show .= "<td>".$myevt['zipcode']." ".$myevt['city']."</td>";
		$show .= "</tr>";
		$i++;
		unset ($ipic);
   }
	$show .= "</table>";
 	$show .="<p class=\"align-right tiny\">&raquo;<a href='modules.php?name=$module_name' >"._READMORE."</a>&laquo;</p>";
  }
//$WSCFG['MODULETITLE']

if ($show>"") {
    $content = $show;
}

?>